Skip to Content
SendlySendly
API ReferenceAccount

Change the user's display name or avatar

PATCH
/api/users/me

Requires the account:write scope — Edit your profile and preferences, export your data, delete your account.

cookiebetter-auth.session_token<token>

BetterAuth session cookie. Used by the dashboard / browser clients. When present, the active project is taken from the x-project-id header.

application/json
  1. body
name?string
Length1 <= length <= 120
image?|

An https URL, or null.

Formaturi
Lengthlength <= 2048

Response Body

OK

application/json
  1. response
id*string
email*string
name*string
image*string|null
Example Request
curl -X PATCH 'https://api.sendly.now/api/users/me' \  -H 'Content-Type: application/json' \  -d '{}'
Example Response
{  "id": "string",  "email": "string",  "name": "string",  "image": "string"}